/*
 * Copyright 2008 Kyoto University and Honda Motor Co.,Ltd.
 * All rights reserved.
 * HARK was developed by researchers in Okuno Laboratory
 * at the Kyoto University and Honda Research Institute Japan Co.,Ltd.
 */


/*
 * types.hpp
 *
 *  Created on: 2010/11/18
 *      Author: HARK Development Team
 */

#ifndef DIMPRO_TYPES_HPP_
#define DIMPRO_TYPES_HPP_

/**
 * @file types.hpp
 * 単位保証に使う数値の型を集めたファイル.
 */

#include "types/scalar.hpp"
#include "types/Length.hpp"
#include "types/Area.hpp"
#include "types/Angle.hpp"
#include "types/Frequency.hpp"
#include "types/Velocity1.hpp"
#include "types/Time.hpp"

#endif /* DIMPRO_TYPES_HPP_ */
